Package fr.gouv.vitam.ihmrecette.appserver

# Class StorageService

java.lang.Object
fr.gouv.vitam.ihmrecette.appserver.StorageService

public class StorageService extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageService(StorageConfiguration configuration)`
  Constructs the service with a given configuration

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<AccessRequestStatus>`
  `checkAccessRequestStatus(Integer tenantId, String strategyId, String offerId, String accessRequestId)`
  `RequestResponse<String>`
  `createAccessRequest(Integer tenantId, String strategyId, String offerId, String objectId, DataCategory category)`
  `VitamAsyncInputStreamResponse`
  `download(Integer tenantId, DataCategory dataCategory, String strategyId, String offerId, String objectId)`
  `List<OfferReference>`
  `getOffersReferences(String strategyId)`
  `RequestResponse<AccessRequestStatus>`
  `removeAccessRequest(Integer tenantId, String strategyId, String offerId, String accessRequestId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StorageService

    public StorageService(StorageConfiguration configuration)
    Constructs the service with a given configuration
    Parameters:
      `configuration` - configuration of storage server

- ## Method Details

  - ### createAccessRequest

    public RequestResponse<String> createAccessRequest(Integer tenantId, String strategyId, String offerId, String objectId, DataCategory category) throws StorageTechnicalException, StorageNotFoundException
    Throws:
      `StorageTechnicalException`
      `StorageNotFoundException`

  - ### download

    public VitamAsyncInputStreamResponse download(Integer tenantId, DataCategory dataCategory, String strategyId, String offerId, String objectId) throws StorageTechnicalException, StorageDriverException, StorageNotFoundException
    Throws:
      `StorageTechnicalException`
      `StorageDriverException`
      `StorageNotFoundException`

  - ### checkAccessRequestStatus

    public RequestResponse<AccessRequestStatus> checkAccessRequestStatus(Integer tenantId, String strategyId, String offerId, String accessRequestId) throws StorageTechnicalException, StorageNotFoundException
    Throws:
      `StorageTechnicalException`
      `StorageNotFoundException`

  - ### removeAccessRequest

    public RequestResponse<AccessRequestStatus> removeAccessRequest(Integer tenantId, String strategyId, String offerId, String accessRequestId) throws StorageTechnicalException, StorageNotFoundException
    Throws:
      `StorageTechnicalException`
      `StorageNotFoundException`

  - ### getOffersReferences

    public List<OfferReference> getOffersReferences(String strategyId) throws StorageNotFoundException, StorageTechnicalException
    Throws:
      `StorageNotFoundException`
      `StorageTechnicalException`